package com.commtrain.PMS.iso;

import org.jpos.iso.ISOMsg;

/**
 * 
 */
public class CashierData extends ISOMsg {
    /**
     * the table id of CashierData ("10")
     */
    public static final String TABLE_ID = "10";

    /**
     * the field number of CashierData (10)
     */
    public static final int FIELD_NUMBER = 10;


    /**
     * the field number of cashierNumber (0)
     */
    public static final int CASHIER_NUMBER = 0;

    /**
     * the field number of tillNumber (1)
     */
    public static final int TILL_NUMBER = 1;


    /**
     * Default counstructor
     */
    public CashierData() {
        super(FIELD_NUMBER);
    }
    
    /**
     * @return cashierNumber
     */
    public String getCashierNumber() {
        return this.getString(CASHIER_NUMBER);
    }

    /**
     * @return tillNumber
     */
    public String getTillNumber() {
        return this.getString(TILL_NUMBER);
    }
}
