package com.commtrain.PMS.iso.packager;

import org.jpos.iso.IF_CHAR;
import org.jpos.iso.ISOBasePackager;
import org.jpos.iso.ISOFieldPackager;

/**
 * 
 */
public class CVV2DataPackager extends ISOBasePackager {
    /**
     * The definition of the packager
     * @see org.jpos.iso.ISOBasePackager
     */
    private ISOFieldPackager fld[] = {
        new IF_CHAR(1, "Flag 1"),
        new IF_CHAR(1, "Flag 2"),
        new IF_CHAR(4, "CVV2 Value")};


    /**
     * Default constructor
     */
    public CVV2DataPackager() {
        setFieldPackager(fld);
    }

}
