package com.commtrain.PMS.iso.packager;

import org.jpos.iso.*;

/**
 * 
 */
public class HypercomPackager extends ISOBasePackager {
/*    
    private static final int MESSAGE_TYPE_INDICATOR = Transaction.MESSAGE_TYPE_INDICATOR;
    private static final int BIT_MAP = 1;
    private static final int PAN_PRIMARY_ACC_NUM = Transaction.PAN_PRIMARY_ACC_NUM;
    private static final int PROCESSING_CODE = Transaction.PROCESSING_CODE;
    private static final int AMOUNT_TRANSACTION = Transaction.AMOUNT_TRANSACTION;
    private static final int AMOUNT_SETTLE = 5;
    private static final int AMOUNT_CH_BILLING = 6;
    private static final int TRANSM_DATE_AND_TIME = 7;
    private static final int AMOUNT_CH_BILLING_FEE = 8;
    private static final int CONVERSION_RATE_SETTLE = 9;
    private static final int CONVERSION_RATE_CH_BILLING = 10;
    private static final int SYSTEM_TRACE_AUDIT_NUM = Transaction.SYSTEM_TRACE_AUDIT_NUM;
    private static final int TIME_LOCAL_TRANSACTION = Transaction.TIME_LOCAL_TRANSACTION;
    private static final int DATE_LOCAL_TRANSACTION = Transaction.DATE_LOCAL_TRANSACTION;
    private static final int DATE_EXPIRATION = Transaction.DATE_EXPIRATION;
    private static final int DATE_SETTLE = 15;
    private static final int DATE_CONVERSION = 16;
    private static final int DATE_CAPTURE = 17;
    private static final int MERCHANTS_TYPE = 18;
    private static final int ACQ_INSTIUTE_COUNTRYC= 19;
    private static final int PAN_EXTENDED_COUNTRYC= 20;
    private static final int FORW_INSTIUTE_COUNTRYC= 21;
    private static final int POS_ENTRY_MODE = Transaction.POS_ENTRY_MODE;
    private static final int CARD_SEQUENCE_NUM = 23;
    private static final int NET_INTERNATIONAL_IDENTIFIEER = Transaction.NET_INTERNATIONAL_IDENTIFIEER;
    private static final int POS_CONDITION_CODE = Transaction.POS_CONDITION_CODE;
    private static final int POS_PIN_CAPTURE_CODE = 26;
    private static final int AUTHOR_IDENTI_RESP_LEN = 27;
    private static final int AMOUNT_TRANSA_FEE = 28;
    private static final int AMOUNT_SETTLE_FEE = 29;
    private static final int AMOUNT_TRANSA_PROCESS_FEE = 30;
    private static final int AMOUNT_SETTLE_PROCESS_FEE = 31;
    private static final int ACQ_INSTIUTE_IDENT_CODE = 32;
    private static final int FORW_INSTIUTE_IDENT_CODE = 33;
    private static final int PAN_EXTENDED = 34;
    private static final int TRACK_2_DATA = Transaction.TRACK_2_DATA;
    private static final int TRACK_3_DATA = 36;
    private static final int RETRIEVAL_REFERENCE_NUM = Transaction.RETRIEVAL_REFERENCE_NUM;
    private static final int AUTHORIZATION_IDENTIFICATION_RESPONSE = Transaction.AUTHORIZATION_IDENTIFICATION_RESPONSE;
    private static final int RESPONSE_CODE = Transaction.RESPONSE_CODE;
    private static final int SERVICE_RESTRICTION_CODE = 40;
    private static final int TERMINAL_IDENTIFICATION = Transaction.TERMINAL_IDENTIFICATION;
    private static final int CARD_ACCEPTOR_IDENTIFICATION_CODE = Transaction.CARD_ACCEPTOR_IDENTIFICATION_CODE;
    private static final int CARD_ACCEPTOR_NAME_LOCATION = 43;
    private static final int ADITIONAL_RESPONSE_DATA = 44;
    private static final int TRACK_1_DATA = Transaction.TRACK_1_DATA;
    private static final int ADITIONAL_DATA_ISO = 46;
    private static final int ADITIONAL_DATA_NATIONAL = 47;
    private static final int ADITIONAL_DATA_PRIVATE = 48;
    private static final int CURRCODE_TRANSA = 49;
    private static final int CURRCODE_SETTLE = 50;
    private static final int CURRCODE_CH_BILLING = 51;
    private static final int PIN_DATA = 52;
    private static final int SECURITY_CONTROL_INFO = Transaction.SECURITY_CONTROL_INFO;
    private static final int ADDITIONAL_AMOUNTS = 54;
    private static final int BATCH_NO = 60;
    private static final int ORIGINAL_AMOUNT = 60;
    private static final int INVOICE_ECR_REFNO = Transaction.INVOICE_ECR_REFNO;
    private static final int ADDITIONAL_DATA = Transaction.ADDITIONAL_DATA;
    private static final int MESSAGE_AUTHENT_CODE_FIELD = 64;
    private static final int BITMAP_EXTENDED = 65;
    private static final int SETTLE_CODE = 66;
    private static final int EXTENDED_PAYMENT_CODE = 67;
    private static final int RECEIVING_INSTITUTION_COUNTRYC= 68;
    private static final int SETTLE_INSTITUTION_COUNTRYC= 69;
    private static final int NETM_INFORM_CODE = 70;
    private static final int MESSAGE_NUM = 71;
    private static final int MESSAGE_NUM_LAST = 72;
    private static final int DATE_ACTION = 73;
    private static final int CREDITS_NUM = 74;
    private static final int CREDITS_REVERSAL_NUM = 75;
    private static final int DEBITS_NUM = 76;
    private static final int DEBITS_REVERSAL_NUM = 77;
    private static final int TRANSFER_NUM = 78;
    private static final int TRANSFER_REVERSAL_NUM = 79;
    private static final int INQUIRIES_NUM = 80;
    private static final int AUTHORIZATION_NUM = 81;
    private static final int CREDITS_PROCESS_FEE_AMOUNT = 82;
    private static final int CREDITS_TRANSA_FEE_AMOUNT = 83;
    private static final int DEBITS_PROCESS_FEE_AMOUNT = 84;
    private static final int DEBITS_TRANSA_FEE_AMOUNT = 85;
    private static final int CREDITS_AMOUNT = 86;
    private static final int CREDITS_REVERSAL_AMOUNT = 87;
    private static final int DEBITS_AMOUNT = 88;
    private static final int DEBITS_REVERSAL_AMOUNT = 89;
    private static final int ORIGINAL_DATA_ELEMENTS = 90;
    private static final int FILE_UPDATE_CODE = 91;
    private static final int FILE_SECURITY_CODE = 92;
    private static final int RESPONSE_INDICATOR = 93;
    private static final int SERVICE_INDICATOR = 94;
    private static final int REPLACEMENT_AMOUNTS = 95;
    private static final int MESSAGE_SECURITY_CODE = 96;
    private static final int AMOUNT_NET_SETTLE = 97;
    private static final int PAYEE = 98;
    private static final int SETTLE_INSTITUTION_IDENT_CODE = 99;
    private static final int RECEIVING_INSTITUTION_IDENT_CODE = 100;
    private static final int FILE_NAME = 101;
    private static final int ACC_IDENTIFICATION_1 = 102;
    private static final int ACC_IDENTIFICATION_2 = 103;
    private static final int TRANSA_DESCRIPTION = 104;
    private static final int MAC_2 = 127;
*/
    private static final boolean pad = false;
    protected ISOFieldPackager fld[] = {
            new IFB_NUMERIC (  4, "MESSAGE TYPE INDICATOR", true),
            new IFB_BITMAP  ( 16, "BIT MAP"),
            new IFB_LLNUM   ( 19, "PAN - PRIMARY ACCOUNT NUMBER", pad),
            new IFB_NUMERIC (  6, "PROCESSING CODE", true),
            new IFB_NUMERIC ( 12, "AMOUNT, TRANSACTION", true),
            new IFB_NUMERIC ( 12, "AMOUNT, SETTLEMENT", true),
            new IFB_NUMERIC ( 12, "AMOUNT, CARDHOLDER BILLING", true),
            new IFB_NUMERIC ( 10, "TRANSMISSION DATE AND TIME", true),
            new IFB_NUMERIC (  8, "AMOUNT, CARDHOLDER BILLING FEE", true),
            new IFB_NUMERIC (  8, "CONVERSION RATE, SETTLEMENT", true),
            new IFB_NUMERIC (  8, "CONVERSION RATE, CARDHOLDER BILLING", true),
            new IFB_NUMERIC (  6, "SYSTEM TRACE AUDIT NUMBER", true),
            new IFB_NUMERIC (  6, "TIME, LOCAL TRANSACTION", true),
            new IFB_NUMERIC (  4, "DATE, LOCAL TRANSACTION", true),
            new IFB_NUMERIC (  4, "DATE, EXPIRATION", true),
            new IFB_NUMERIC (  4, "DATE, SETTLEMENT", true),
            new IFB_NUMERIC (  4, "DATE, CONVERSION", true),
            new IFB_NUMERIC (  4, "DATE, CAPTURE", true),
            new IFB_NUMERIC (  4, "MERCHANTS TYPE", true),
            new IFB_NUMERIC (  3, "ACQUIRING INSTITUTION COUNTRY CODE", true),
            new IFB_NUMERIC (  3, "PAN EXTENDED COUNTRY CODE", true),
            new IFB_NUMERIC (  3, "FORWARDING INSTITUTION COUNTRY CODE", true),
            new IFB_NUMERIC (  3, "POINT OF SERVICE ENTRY MODE", true),
            new IFB_NUMERIC (  3, "CARD SEQUENCE NUMBER", true),
            new IFB_NUMERIC (  3, "NETWORK INTERNATIONAL IDENTIFIEER", true),
            new IFB_NUMERIC (  2, "POINT OF SERVICE CONDITION CODE", true),
            new IFB_NUMERIC (  2, "POINT OF SERVICE PIN CAPTURE CODE", true),
            new IFB_NUMERIC (  1, "AUTHORIZATION IDENTIFICATION RESP LEN",true),
            new IFB_AMOUNT  (  9, "AMOUNT, TRANSACTION FEE", true),
            new IFB_AMOUNT  (  9, "AMOUNT, SETTLEMENT FEE", true),
            new IFB_AMOUNT  (  9, "AMOUNT, TRANSACTION PROCESSING FEE", true),
            new IFB_AMOUNT  (  9, "AMOUNT, SETTLEMENT PROCESSING FEE", true),
            new IFB_LLNUM   ( 11, "ACQUIRING INSTITUTION IDENT CODE", pad),
            new IFB_LLNUM   ( 11, "FORWARDING INSTITUTION IDENT CODE", pad),
            new IFB_LLCHAR  ( 28, "PAN EXTENDED"),
            new IFB_LLNUM   ( 37, "TRACK 2 DATA", pad),
            new IFB_LLLCHAR (104, "TRACK 3 DATA"),
            new IF_CHAR     ( 12, "RETRIEVAL REFERENCE NUMBER"),
            new IF_CHAR     (  6, "AUTHORIZATION IDENTIFICATION RESPONSE"),
            new IF_CHAR     (  2, "RESPONSE CODE"),
            new IF_CHAR     (  3, "SERVICE RESTRICTION CODE"),
            new IF_CHAR     (  8, "CARD ACCEPTOR TERMINAL IDENTIFICACION"),
            new IF_CHAR     ( 15, "CARD ACCEPTOR IDENTIFICATION CODE" ),
            new IF_CHAR     ( 40, "CARD ACCEPTOR NAME/LOCATION"),
            new IFB_LLCHAR  ( 25, "ADITIONAL RESPONSE DATA"),
            new IFB_LLCHAR  ( 76, "TRACK 1 DATA"),
            new IFB_LLLCHAR (999, "ADITIONAL DATA - ISO"),
            new IFB_LLLCHAR (999, "ADITIONAL DATA - NATIONAL"),
            new IFB_LLLCHAR (999, "ADITIONAL DATA - PRIVATE"),
            new IFB_NUMERIC (  3, "CURRENCY CODE, TRANSACTION", true),///---difference to ISO B87
            new IF_CHAR     (  3, "CURRENCY CODE, SETTLEMENT"),
            new IF_CHAR     (  3, "CURRENCY CODE, CARDHOLDER BILLING"   ),
            new IFB_BINARY  (  8, "PIN DATA"   ),
            new IFB_NUMERIC ( 16, "SECURITY RELATED CONTROL INFORMATION", true),
            new IFB_LLLCHAR (120, "ADDITIONAL AMOUNTS"),
            new IFB_LLLCHAR (999, "RESERVED ISO"),
            new IFB_LLLCHAR (999, "RESERVED ISO"),
            new IFB_LLLCHAR (999, "RESERVED NATIONAL"),
            new IFB_LLLCHAR (999, "RESERVED NATIONAL"),
            new IFB_LLLCHAR (999, "RESERVED NATIONAL"),
            new IFB_LLLCHAR (999, "BATCH NO/ORIGINAL AMOUNT(WEB SHOP)"),
            new IFB_LLLCHAR (999, "DISCOUNT(WEB SHOP)"),
            new IFB_LLLCHAR (999, "INVOICE/ECR REF NO"),
            new IFB_LLLBINARY (999, "ADDITIONAL DATA/RECONCILIATION REQUEST TOTALS"),
            new IFB_BINARY  (  8, "MESSAGE AUTHENTICATION CODE FIELD"),
            new IFB_BINARY  (  1, "BITMAP, EXTENDED"),
            new IFB_NUMERIC (  1, "SETTLEMENT CODE", true),
            new IFB_NUMERIC (  2, "EXTENDED PAYMENT CODE", true),
            new IFB_NUMERIC (  3, "RECEIVING INSTITUTION COUNTRY CODE", true),
            new IFB_NUMERIC (  3, "SETTLEMENT INSTITUTION COUNTRY CODE", true),
            new IFB_NUMERIC (  3, "NETWORK MANAGEMENT INFORMATION CODE", true),
            new IFB_NUMERIC (  4, "MESSAGE NUMBER", true),
            new IFB_NUMERIC (  4, "MESSAGE NUMBER LAST", true),
            new IFB_NUMERIC (  6, "DATE ACTION", true),
            new IFB_NUMERIC ( 10, "CREDITS NUMBER", true),
            new IFB_NUMERIC ( 10, "CREDITS REVERSAL NUMBER", true),
            new IFB_NUMERIC ( 10, "DEBITS NUMBER", true),
            new IFB_NUMERIC ( 10, "DEBITS REVERSAL NUMBER", true),
            new IFB_NUMERIC ( 10, "TRANSFER NUMBER", true),
            new IFB_NUMERIC ( 10, "TRANSFER REVERSAL NUMBER", true),
            new IFB_NUMERIC ( 10, "INQUIRIES NUMBER", true),
            new IFB_NUMERIC ( 10, "AUTHORIZATION NUMBER", true),
            new IFB_NUMERIC ( 12, "CREDITS, PROCESSING FEE AMOUNT", true),
            new IFB_NUMERIC ( 12, "CREDITS, TRANSACTION FEE AMOUNT", true),
            new IFB_NUMERIC ( 12, "DEBITS, PROCESSING FEE AMOUNT", true),
            new IFB_NUMERIC ( 12, "DEBITS, TRANSACTION FEE AMOUNT", true),
            new IFB_NUMERIC ( 16, "CREDITS, AMOUNT", true),
            new IFB_NUMERIC ( 16, "CREDITS, REVERSAL AMOUNT", true),
            new IFB_NUMERIC ( 16, "DEBITS, AMOUNT", true),
            new IFB_NUMERIC ( 16, "DEBITS, REVERSAL AMOUNT", true),
            new IFB_NUMERIC ( 42, "ORIGINAL DATA ELEMENTS", true),
            new IF_CHAR     (  1, "FILE UPDATE CODE"),
            new IF_CHAR     (  2, "FILE SECURITY CODE"),
            new IF_CHAR     (  6, "RESPONSE INDICATOR"),
            new IF_CHAR     (  7, "SERVICE INDICATOR"),
            new IF_CHAR     ( 42, "REPLACEMENT AMOUNTS"),
            new IFB_BINARY  ( 16, "MESSAGE SECURITY CODE"),
            new IFB_AMOUNT  ( 17, "AMOUNT, NET SETTLEMENT", pad),
            new IF_CHAR     ( 25, "PAYEE"),
            new IFB_LLNUM   ( 11, "SETTLEMENT INSTITUTION IDENT CODE", pad),
            new IFB_LLNUM   ( 11, "RECEIVING INSTITUTION IDENT CODE", pad),
            new IFB_LLCHAR  ( 17, "FILE NAME"),
            new IFB_LLCHAR  ( 28, "ACCOUNT IDENTIFICATION 1"),
            new IFB_LLCHAR  ( 28, "ACCOUNT IDENTIFICATION 2"),
            new IFB_LLLCHAR (100, "TRANSACTION DESCRIPTION"),
            new IFB_LLLCHAR (999, "RESERVED ISO USE"), 
            new IFB_LLLCHAR (999, "RESERVED ISO USE"), 
            new IFB_LLLCHAR (999, "RESERVED ISO USE"), 
            new IFB_LLLCHAR (999, "RESERVED ISO USE"), 
            new IFB_LLLCHAR (999, "RESERVED ISO USE"), 
            new IFB_LLLCHAR (999, "RESERVED ISO USE"), 
            new IFB_LLLCHAR (999, "RESERVED ISO USE"), 
            new IFB_LLLCHAR (999, "RESERVED NATIONAL USE"),
            new IFB_LLLCHAR (999, "RESERVED NATIONAL USE"),
            new IFB_LLLCHAR (999, "RESERVED NATIONAL USE"),
            new IFB_LLLCHAR (999, "RESERVED NATIONAL USE"),
            new IFB_LLLCHAR (999, "RESERVED NATIONAL USE"),
            new IFB_LLLCHAR (999, "RESERVED NATIONAL USE"),
            new IFB_LLLCHAR (999, "RESERVED NATIONAL USE"),
            new IFB_LLLCHAR (999, "RESERVED NATIONAL USE"),
            new IFB_LLLCHAR (999, "RESERVED PRIVATE USE"),
            new IFB_LLLCHAR (999, "RESERVED PRIVATE USE"),
            new IFB_LLLCHAR (999, "RESERVED PRIVATE USE"),
            new IFB_LLLCHAR (999, "RESERVED PRIVATE USE"),
            new IFB_LLLCHAR (999, "RESERVED PRIVATE USE"),
            new IFB_LLLCHAR (999, "RESERVED PRIVATE USE"),
            new IFB_LLLCHAR (999, "RESERVED PRIVATE USE"),
            new IFB_LLLCHAR (999, "RESERVED PRIVATE USE"),
            new IFB_BINARY  (  8, "MAC 2")
        };

    /**
     * Constructor for HypercomPackager.
     */
    public HypercomPackager() {
        super();
        setFieldPackager(fld);
    }
}
