package com.commtrain.PMS.iso.packager;

import org.jpos.iso.IF_CHAR;
import org.jpos.iso.ISOBasePackager;
import org.jpos.iso.ISOFieldPackager;

/**
 * 
 */
public class ReconciliationRequestTotalsPackager extends ISOBasePackager {
    /**
     * The definition of the packager
     * @see org.jpos.iso.ISOBasePackager
     */
    private ISOFieldPackager fld[] = {
        new IF_CHAR(3,  "CAPTURED SALES COUNT"),
        new IF_CHAR(12, "SALES AMOUNT"),
        new IF_CHAR(3,  "REFUND COUNT"),
        new IF_CHAR(12, "REFUND AMOUNT"),
        new IF_CHAR(3,  "DEBIT SALES COUNT"),
        new IF_CHAR(12, "SALES AMOUNT"),
        new IF_CHAR(3,  "REFUND COUNT"),
        new IF_CHAR(12, "REFUND AMOUNT"),
    };

    /**
     * Default constructor
     */
    public ReconciliationRequestTotalsPackager() {
        setFieldPackager(fld);
    }
    
}
