<%@ taglib uri="/WEB-INF/dbforms.tld" prefix="db" %>
<db:base/>
<HTML>
<HEAD>
<META http-equiv="Content-Style-Type" content="text/css">
<LINK href="../theme/Master.css" rel="stylesheet" type="text/css">
<TITLE>Transaction Detail</TITLE>
<%@ page import="com.commtrain.carcds.*" %>
</HEAD>
<BODY>
<db:style template="Page" paramList="pageTitle='Transactions'" part="begin" />
<%	
	
	
	String[] paramNames={"CDSID"};
	String[] fieldNames={"CD_0000"};
	
	String cdsID = request.getParameter(paramNames[0]);	

	String[] paramValues={cdsID};
	String filterStr = Util.calcFilterStringByValues(paramValues,fieldNames);
	
	String terminalID = request.getParameter("TerminalID");
	

	String[] cdsNavParams={"TerminalID"};
	String[] cdsNavValues={terminalID};
	String cdsUrlAddON=Util.calcNavAddOn(cdsNavParams,cdsNavValues);
	
%>	
<db:dbform autoUpdate="false" followUp="/forms/TransferDetail.jsp" maxRows="1" tableName="CDSD" filter="<%=filterStr.toString()%>" captionResource="true">
<db:errors/>
<TABLE class="submenu-wrap">
    <TBODY>
    <TR>
    	<TD>
			<TABLE cellpadding="0" cellspacing="0" class="submenu">
   			 <TBODY>
        		<TR>
         			<TD>
            		<A onmouseover="window.status = '<db:message key="submenu.transactionsList"/>';return true;" onmouseout="window.status = '';" href="<%="TransferList.jsp"+cdsUrlAddON %>"><db:message key='submenu.transactionsList'/></A>
            		</TD>
      			</TR>
             </TBODY>
			</TABLE>
         </TD>
    </TR>
    </TBODY>
</TABLE>
<db:header>
</db:header>
<db:body>
<TABLE  align="center" cellpadding="0" cellspacing="0" class="header-table" style="width: 90%;"> 
	<TR>
		<TH><db:message key="form.transfer.label.cdsID"/></TH>
		<TD><db:textField readOnly="true" fieldName="CD_0000"/></TD>
		<TH><db:message key="form.transfer.label.invoiceNo"/></TH>
		<TD><db:textField readOnly="true" fieldName="CD_0015"/></TD>
		<TH><db:message key="form.transfer.label.retrievalNo"/></TH>
		<TD><db:textField readOnly="true" fieldName="CD_0020"/></TD>
	</TR>
	<TR>	
		<TH><db:message key="form.transfer.label.status"/></TH>
		<TD><db:textField readOnly="true" fieldName="CD_0030"/></TD>
		<TH><db:message key="form.transfer.label.terminalID"/></TH>
		<TD><db:textField readOnly="true" fieldName="CD_0010"/></TD>
		<TH><db:message key="form.transfer.label.acquirer"/></TH>
		<TD><INPUT type="text" value="<db:label fieldName="AQ_1000"/>" disabled="true"/>
		</TD>
	</TR>		
	<TR>	
		<TH><db:message key="form.contract.label.customer"/></TH>
		<TD><INPUT type="text" value="<db:label fieldName="CT_1000"/>" disabled="true"/>
		</TD>
		<TH><db:message key="form.transfer.label.merchantID"/></TH>
		<TD><INPUT type="text" value="<db:label fieldName="CD_1010"/>" disabled="true"/></TD>
		<TH><db:message key="form.transfer.label.terminalACQID"/></TH>
		<TD><INPUT type="text" value="<db:label fieldName="CD_1020"/>" disabled="true"/></TD>			
	</TR>	
</TABLE>
<p></p>
<TABLE  align="center" cellpadding="0"cellspacing="0" class="detail-table" border="1">
	<TR>
		<TD width="27%" valign="top">
            <TABLE cellspacing="0" class="list-table" width="100%">
                <TR>
                    <TD><db:message key="form.transfer.label.manufacturerID"/></TD>
                    <TD width="40%"><db:label fieldName="CD_1001"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.submitterID"/></TD>
                    <TD><db:label fieldName="CD_1002"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.transactionNo"/></TD>
                    <TD><db:label fieldName="CD_1030"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.transactionCode"/></TD>
                    <TD><db:label fieldName="CD_1090"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.batchDate"/></TD>
                    <TD><%= Util.dateConverter((String)currentRow_CDSD.get("CD_1031")) %></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.batchNo"/></TD>
                    <TD><db:label fieldName="CD_1032"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.sequenceNo"/></TD>
                    <TD><db:label fieldName="CD_1060"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.recordTypeCL"/></TD>
                    <TD><db:label fieldName="CD_1070"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.formatVersion"/></TD>
                    <TD><db:label fieldName="CD_1080"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.submissionCurrency"/></TD>
                    <TD><db:label fieldName="CD_1100"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.submissionAmount"/></TD>
                    <TD><db:label fieldName="CD_1110"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.submissionForeignCurrencyCode"/></TD>
                    <TD><db:label fieldName="CD_1120"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.submissionForeignCurrencyAmount"/></TD>
                    <TD><db:label fieldName="CD_1130"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.countryCode"/></TD>
                    <TD><db:dataLabel fieldName="CD_1140">
                    		<db:tableData
						         name="countriesFromTable" foreignTable="CC"
						         storeField="CC_0000" visibleFields="CC_1000"
							/>
						</db:dataLabel>	
                    </TD>
                </TR>
                
            </TABLE>    
        </TD>
        <TD width="48%" valign="top">
            <TABLE cellspacing="0" class="list-table" width="100%" >
            	
                  <TR>
                    <TD><db:message key="form.transfer.label.transactionDate"/></TD>
                    <TD><%= Util.dateConverter((String)currentRow_CDSD.get("CD_1150")) %></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.transactionTime"/></TD>
                    <TD><%= Util.timeConverter((String)currentRow_CDSD.get("CD_1160")) %></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.dataCaptureIndicator"/></TD>
                    <TD><db:label fieldName="CD_1170"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.cardNo"/></TD>
                    <TD><db:label fieldName="CD_1180"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.authorizationNo"/></TD>
                    <TD><db:label fieldName="CD_1190"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.retirievalNoReserve"/></TD>
                    <TD><db:label fieldName="CD_1200"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.salesDescription"/></TD>
                    <TD><db:label fieldName="CD_1250"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.formatCodeSalesDescription"/></TD>
                    <TD><db:label fieldName="CD_1210"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.lengthSalesDescriptionRecord"/></TD>
                    <TD><db:label fieldName="CD_1220"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.merchantName"/></TD>
                    <TD><db:label fieldName="CD_1230"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.merchantAddress"/></TD>
                    <TD><db:label fieldName="CD_1240"/></TD>
                </TR>
                <TR>
                    <TD><db:message key="form.transfer.label.paperOrderAmount"/></TD>
                    <TD><db:label fieldName="CD_1360"/></TD>
                </TR>
                
            </TABLE> 
        </TD> 
        <TD width="25%" valign="top">
            <TABLE cellspacing="0" class="list-table" width="100%" >
                 <TR>
                 	<TD><db:message key="form.transfer.label.transferID"/></TD>
                    <TD width="40%"><db:label fieldName="CD_1270"/></TD>
                 </TR>
                 <TR>
                 	<TD><db:message key="form.transfer.label.clID"/></TD>
                    <TD><db:label fieldName="CD_1260"/></TD>
                 </TR>
                 <TR>
                 	<TD><db:message key="form.transfer.label.terminalType"/></TD>
                    <TD><db:label fieldName="CD_1280"/></TD>
                 </TR>
                 <TR>
                 	<TD><db:message key="form.transfer.label.recordType"/></TD>
                    <TD><db:label fieldName="CD_1290"/></TD>
                 </TR>
                 <TR>
                 	<TD><db:message key="form.transfer.label.responseIndicator"/></TD>
                    <TD><db:label fieldName="CD_1300"/></TD>
                 </TR>
                 <TR>
                 	<TD><db:message key="form.transfer.label.responseCode"/></TD>
                    <TD><db:label fieldName="CD_1310"/></TD>
                 </TR>
                 <TR>
                 	<TD><db:message key="form.transfer.label.floorLimit"/></TD>
                    <TD><db:label fieldName="CD_1320"/></TD>
                 </TR>
                 <TR>
                 	<TD><db:message key="form.transfer.label.productCode"/></TD>
                    <TD><db:label fieldName="CD_1330"/></TD>
                 </TR>
                 <TR>
                 	<TD><db:message key="form.transfer.label.productPrice"/></TD>
                    <TD><db:label fieldName="CD_1340"/></TD>
                 </TR>
                 <TR>
                 	<TD><db:message key="form.transfer.label.productUnit"/></TD>
                    <TD><db:label fieldName="CD_1350"/></TD>
                 </TR>
                 
            </TABLE>
        </TD>                 
	</TR>	
</TABLE>
</db:body>
<db:footer>
</db:footer>
</db:dbform>
</BODY>
</HTML>