package com.commtrain.PMS.iso.packager;

import org.jpos.iso.IF_CHAR;
import org.jpos.iso.ISOBasePackager;
import org.jpos.iso.ISOFieldPackager;

/**
 * 
 */
public class PINResponseDataPackager extends ISOBasePackager {
    
    /**
     * The definition of the packager
     * @see org.jpos.iso.ISOBasePackager
     */
    private ISOFieldPackager fld[] = 
        {
            new IF_CHAR(20, "Customer Service Phone Number"),
            new IF_CHAR(20, "Mobile Phone Number"),
            new IF_CHAR(10, "GSM Provider Reference No"),
            new IF_CHAR(15, "GSM Provider Merchant ID"),
        };

    /**
     * Default constructor
     */
    public PINResponseDataPackager() {
        setFieldPackager(fld);
    }
}
