package com.commtrain.PMS.logging;

import java.io.ByteArrayOutputStream;
import java.io.PrintStream;

import org.jpos.util.LogEvent;
import org.jpos.util.SimpleLogSource;

/**
 * 
 *
 */
public class LogEntry extends LogEvent {

    private static SimpleLogSource dummy = new SimpleLogSource();

    /**
     * Constructor for LogEntry.
     * @param tag
     */
    public LogEntry(String tag) {
        super(dummy, tag);
    }

    /**
     * Constructor for LogEntry.
     * @param tag
     * @param msg
     */
    public LogEntry(String tag, Object msg) {
        super(dummy, tag, msg);
    }

    /**
     * @see java.lang.Object#toString()
     */
    public String toString() {
        ByteArrayOutputStream w = new ByteArrayOutputStream();
        PrintStream p = new PrintStream(w);
        this.dump(p, "");
        return w.toString();
    }
}
