<%@ taglib uri="/WEB-INF/dbforms.tld" prefix="db" %>
<db:base/>
<HTML>
<HEAD>
<META http-equiv="Content-Style-Type" content="text/css">
<LINK href="../theme/Master.css" rel="stylesheet" type="text/css">
<TITLE>Transaction List</TITLE>
<%@ page import="com.commtrain.carcds.*" %>
</HEAD>
<BODY>
<db:style template="Page" paramList="pageTitle='Transactions'" part="begin" />

<%	
		
	String[] paramNames={"TerminalID"};
	String[] fieldNames={"CD_0010"};
	
	String terminalID = request.getParameter(paramNames[0]);	
	
	String[] paramValues={terminalID};
	String filterStr = Util.calcFilterStringByValues(paramValues,fieldNames);
	
	String[] navParams={"TerminalID"};
	String[] navValues={terminalID};
	String urlAddOn=Util.calcNavAddOn(navParams,navValues,"&");
	String cstUrlAddOn="";
	
	
%>

<db:dbform autoUpdate="false" followUp="/forms/TransferList.jsp" maxRows="15" tableName="CDSL" filter="<%=filterStr.toString()%>" captionResource="true" orderBy="CD_0000 DESC">
<db:header>

<%
//		}
for(int i=0;i<paramNames.length;i++){
	if(paramValues[i]!=null){
%>		<INPUT type="hidden" name="<%=paramNames[i]%>" value="<%=paramValues[i]%>"/>
<%
	}
}
%>
	<table cellspacing="0" align="center" class="list-table">
		<tr>
			<TH><db:message key="form.transfer.label.cdsID"/></TH>
			<TH><db:message key="form.transfer.label.terminalID"/></TH>
			<TH><db:message key="form.transfer.label.invoiceNo"/></TH>
			<TH><db:message key="form.transfer.label.retrievalNo"/></TH>
			<TH><db:message key="form.transfer.label.status"/></TH>
			<TH><db:message key="form.transfer.label.acquirer"/></TH>
			<TH><db:message key="form.contract.label.customer"/></TH>
		
		</tr>
		<tr align="center">
			<TD><db:comsort fieldName="CD_0000"/></TD>
			<TD><db:sort fieldName="CD_0010"/></TD>
			<TD><db:sort fieldName="CD_0015"/></TD>
			<TD><db:sort fieldName="CD_0020"/></TD>
			<TD><db:sort fieldName="CD_0030"/></TD>
			<TD><db:sort fieldName="AQ_1000"/></TD>
			<TD><db:sort fieldName="CT_1000"/></TD>
			
		</tr>
</db:header>
<db:body allowNew="false">
 		<tr>
          
			<td>
				<a href='TransferDetail.jsp?CDSID=<db:label fieldName="CD_0000"/><%=urlAddOn %>'><%= currentRow_CDSL.get("CD_0000") %></a>
			</td>

			<td>
				<%=currentRow_CDSL.get("CD_0010")%>
			</td>
			<td class="data-cell-numeric">
				<db:label fieldName="CD_0015"/>
				
			</td>
			<td>
				<db:label fieldName="CD_0020"/>
			</td>
			
				<%
			String currentStatus = (String)currentRow_CDSL.get("CD_0030");
%>			
			<td class="data-cell-numeric"><%= "-1".equals(currentStatus)?" ":currentStatus %></td>
			
			<td>
			<db:label fieldName="AQ_1000"/>
			</td>
			<td>
				<db:label fieldName="CT_1000"/>
			</td>
      </tr>
</db:body>
<db:footer>
</table>


<table border="0" align="center">
<tr>
<td>
<db:navFirstButton styleClass="standart-button" caption="button.first"/>
</td>
<td>
<db:navPrevButton styleClass="standart-button" caption="button.previous"/>
</td>
<td>
<db:navNextButton styleClass="standart-button" caption="button.next"/>
</td>
<td>
<db:navLastButton styleClass="standart-button" caption="button.last"/>
</td>
</tr>
</table>

</db:footer>
</db:dbform>
</BODY>
</HTML>
